from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XVclContainer(XInterface, Protocol):
    def addVclContainerListener(self, l: XVclContainerListener) -> None: ...
    def removeVclContainerListener(self, l: XVclContainerListener) -> None: ...
    def getWindows(self) -> list[XWindow]: ...
